import 'package:flutter/material.dart';
import 'package:em2rp/views/widgets/nav/main_drawer.dart';
import 'package:em2rp/providers/user_provider.dart'; // Import UserProvider
import 'package:provider/provider.dart'; // Import Provider

class UserManagementPage extends StatelessWidget {
  const UserManagementPage({super.key});

  @override
  Widget build(BuildContext context) {
    final userProvider =
        Provider.of<UserProvider>(context); // Get UserProvider instance

    if (userProvider.role != 'ADMIN') {
      // Get role from UserProvider
      return Scaffold(
        appBar: AppBar(title: const Text('Gestion des Utilisateurs')),
        drawer: MainDrawer(
            currentPage: '/user_management',
            userProvider: userProvider), // Pass UserProvider to MainDrawer
        body: const Center(
          child: Text('Accès non autorisé pour les utilisateurs non-Admin.',
              style: TextStyle(fontSize: 18, color: Colors.red)),
        ),
      );
    } else {
      return Scaffold(
        appBar: AppBar(title: const Text('Gestion des Utilisateurs (Admin)')),
        drawer: MainDrawer(
            currentPage: '/user_management',
            userProvider: userProvider), // Pass UserProvider to MainDrawer
        body: const Center(
          child: Text('Page de Gestion des Utilisateurs (Admin)',
              style: TextStyle(fontSize: 24)),
        ),
      );
    }
  }
}
